[oe-commits] org.oe.dev merge of '6b88eb96e13fd36fb152748d49b315d3e58466c8'

hrw commit openembedded-commits at lists.openembedded.org
Mon Nov 19 15:12:37 UTC 2007


merge of '6b88eb96e13fd36fb152748d49b315d3e58466c8'
     and 'dc2a98d301d6e2c9a40551be91b9f32f1ec43133'

Author: hrw at openembedded.org
Branch: org.openembedded.dev
Revision: 7a0881668d38c0d3e64ef7ff7fa74e208b9e2d47
ViewMTN: http://monotone.openembedded.org/revision/info/7a0881668d38c0d3e64ef7ff7fa74e208b9e2d47
Files:
1
packages/zaurus-updater/c7x0
packages/zaurus-updater/c7x0/updater.sh
packages/zaurus-updater/tosa
packages/zaurus-updater/tosa/updater.sh
packages/zaurus-updater/zaurus-updater
packages/zaurus-updater/zaurus-updater/updater.sh
packages/zaurus-updater/zaurus-updater.bb
packages/alsa/alsa-state/fic-gta01/voip-handset.state
packages/alsa/alsa-state/fic-gta01/voip-headset.state
packages/alsa/alsa-state.bb
packages/initscripts/initscripts-1.0/volatiles
packages/initscripts/initscripts_1.0.bb
Diffs:

#
# mt diff -r6b88eb96e13fd36fb152748d49b315d3e58466c8 -r7a0881668d38c0d3e64ef7ff7fa74e208b9e2d47
#
# 
# 
# delete "packages/zaurus-updater/c7x0"
# 
# delete "packages/zaurus-updater/c7x0/updater.sh"
# 
# delete "packages/zaurus-updater/tosa"
# 
# delete "packages/zaurus-updater/tosa/updater.sh"
# 
# add_dir "packages/zaurus-updater/zaurus-updater"
# 
# add_file "packages/zaurus-updater/zaurus-updater/updater.sh"
#  content [d49404556e2187447d41a9c4c22080442b70d001]
# 
# patch "packages/zaurus-updater/zaurus-updater.bb"
#  from [8f431da1e46051baa0e8fb2ca9012101c3146fea]
#    to [0841e26124c537013227ff1ca2c7645139dfb6e4]
# 
============================================================
--- packages/zaurus-updater/zaurus-updater/updater.sh	d49404556e2187447d41a9c4c22080442b70d001
+++ packages/zaurus-updater/zaurus-updater/updater.sh	d49404556e2187447d41a9c4c22080442b70d001
@@ -0,0 +1,379 @@
+#!/bin/sh
+
+#
+# One updater.sh to rule them all
+#
+# 2006.10.24 Marcin 'Hrw' Juszkiewicz
+# - started work on common updater.sh
+# - works on poodle, c760, spitz
+# - breaks on tosa
+#
+# 2007.10.08 Marcin 'Hrw' Juszkiewicz
+# - do not allow to flash files bigger then partition size
+# - created functions for common stuff
+#
+# 2007.11.18 Dmitry 'Lumag' Baryshkov
+# - fixes
+# - tosa unbreak
+#
+# 2007.11.19 Marcin 'Hrw' Juszkiewicz
+# - size check unbreak
+# - c760/c860 has bigger rootfs - use it
+#
+
+DATAPATH=$1
+TMPPATH=/tmp/update
+TMPDATA=$TMPPATH/tmpdata.bin
+TMPHEAD=$TMPPATH/tmphead.bin
+
+FLASHED_KERNEL=0
+FLASHED_ROOTFS=0
+UNPACKED_ROOTFS=0   # spitz only
+
+RO_MTD_LINE=`cat /proc/mtd | grep "root" | tail -n 1`
+if [ "$RO_MTD_LINE" = "" ]; then
+    RO_MTD_LINE=`cat /proc/mtd | grep "\<NAND\>.*\<2\>" | tail -n 1`
+fi
+RO_MTD_NO=`echo $RO_MTD_LINE | cut -d: -f1 | cut -dd -f2`
+RO_MTD_SIZE_HEX=`echo $RO_MTD_LINE | cut -d" " -f2`
+RO_MTD=/dev/mtd$RO_MTD_NO
+
+LOGOCAL_MTD=/dev/mtd1
+
+VERBLOCK=0x48000
+MVRBLOCK=0x70000
+
+RESULT=0
+
+Cleanup()
+{
+    rm -f $VTMPNAME > /dev/null 2>&1
+    rm -f $MTMPNAME > /dev/null 2>&1
+    exit $1
+}
+
+trap 'Cleanup 1' 1 15
+trap '' 2 3
+
+get_dev_pcmcia()
+{
+    while read SOCKET CLASS DRIVER INSTANCE DEVS MAJOR MINOR;
+    do
+        echo $DEVS
+    done
+}
+
+get_dev_pcmcia_slot()
+{
+    grep "^$1" /var/lib/pcmcia/stab | get_dev_pcmcia
+}
+
+check_for_hdd()
+{
+    IDE1=`get_dev_pcmcia_slot 1`
+    if [ "$IDE1" = "" ]; then
+        echo "Error!! There is no microdrive. Retrying..."
+        while [ "$IDE1" = "" ]; do
+            IDE1=`get_dev_pcmcia_slot 1`
+        done
+        echo "Microdrive found."
+    fi
+
+    LINUXFMT=ext3
+    MKE2FSOPT=-j
+}
+
+check_for_tar()
+{
+    ### Check that we have a valid tar
+    for TARNAME in gnu-tar GNU-TAR
+    do
+        if [ -e $DATAPATH/$TARNAME ]
+        then
+            TARBIN=$DATAPATH/$TARNAME
+        fi
+    done
+
+    if [ ! -e $TARBIN ]; then
+        echo 'ERRROR: Please place a valid copy of tar as "gnu-tar" on your card.'
+        echo 'Please reset'
+        while true
+        do
+        done
+    fi
+}
+
+do_rootfs_extraction()
+{
+    UNPACKED_ROOTFS=1
+    echo 'HDD root file system'
+    if [ ! -f /hdd1/NotAvailable ]; then
+        umount /hdd1
+    fi
+    echo 'Now formatting...'
+    mke2fs $MKE2FSOPT /dev/${IDE1}1 > /dev/null 2>&1
+    e2fsck -p /dev/${IDE1}1 > /dev/null
+    if [ "$?" != "0" ]; then
+        echo "ERROR: Unable to create filesystem on microdrive!"
+        exit "$?"
+    fi
+
+    mount -t $LINUXFMT -o noatime /dev/${IDE1}1 /hdd1
+    if [ "$?" != "0" ]; then
+        echo "ERROR: Unable to mount microdrive!"
+        exit "$?"
+    fi
+
+    cd /hdd1
+    echo 'Now extracting...'
+    gzip -dc $DATAPATH/$TARGETFILE | $TARBIN xf -
+    if [ "$?" != "0" ]; then
+        echo "ERROR: Unable to extract root filesystem archive!"
+        exit "$?"
+    fi
+
+    echo 'Done.'
+
+    # remount as RO
+    cd /
+    umount /hdd1
+    mount -t $LINUXFMT -o ro,noatime /dev/${IDE1}1 /hdd1
+}
+
+do_flashing()
+{
+    if [ $DATASIZE -gt `printf "%d" $MTD_PART_SIZE` ]
+    then
+        echo "ERROR: File is too big to flash!"
+        return
+    fi
+
+    #check version
+    /sbin/bcut -s 6 -o $TMPDATA $TMPHEAD
+    if [ `cat $TMPDATA` != "SHARP!" ] > /dev/null 2>&1
+    then
+        #no version info...
+        rm -f $TMPHEAD > /dev/null 2>&1
+        DATAPOS=0
+    fi
+
+    if [ $ISFORMATTED = 0 ]
+    then
+        echo -n 'Flash erasing...'
+        /sbin/eraseall $TARGET_MTD > /dev/null 2>&1
+        echo 'done'
+        ISFORMATTED=1
+    fi
+
+    echo ''
+    echo '0%                   100%'
+    PROGSTEP=`expr $DATASIZE / $ONESIZE + 1`
+    PROGSTEP=`expr 25 / $PROGSTEP`
+    if [ $PROGSTEP = 0 ]
+    then
+        PROGSTEP=1
+    fi
+
+    if [ -e $TMPHEAD ]
+    then
+        VTMPNAME=$TMPPATH'/vtmp'`date '+%s'`'.tmp'
+        MTMPNAME=$TMPPATH'/mtmp'`date '+%s'`'.tmp'
+        /sbin/nandlogical $LOGOCAL_MTD READ $VERBLOCK 0x4000 $VTMPNAME > /dev/null 2>&1
+        /sbin/nandlogical $LOGOCAL_MTD READ $MVRBLOCK 0x4000 $MTMPNAME > /dev/null 2>&1
+
+        /sbin/verchg -v $VTMPNAME $TMPHEAD $MODULEID $MTD_PART_SIZE > /dev/null 2>&1
+        /sbin/verchg -m $MTMPNAME $TMPHEAD $MODULEID $MTD_PART_SIZE > /dev/null 2>&1
+    fi
+
+    #loop
+    while [ $DATAPOS -lt $DATASIZE ]
+    do
+        #data create
+        bcut -a $DATAPOS -s $ONESIZE -o $TMPDATA $TARGETFILE
+        TMPSIZE=`wc -c $TMPDATA`
+        TMPSIZE=`echo $TMPSIZE | cut -d' ' -f1`
+        DATAPOS=`expr $DATAPOS + $TMPSIZE`
+
+        #handle data file
+        if [ $ISLOGICAL = 0 ]
+        then
+            next_addr=`/sbin/nandcp -a $ADDR $TMPDATA $TARGET_MTD  2>/dev/null | fgrep "mtd address" | cut -d- -f2 | cut -d\( -f1`
+            if [ "$next_addr" = "" ]; then
+                echo "ERROR: flash write"
+                rm $TMPDATA > /dev/null 2>&1
+                RESULT=3
+                break;
+            fi
+            ADDR=$next_addr
+        else
+            /sbin/nandlogical $LOGOCAL_MTD WRITE $ADDR $DATASIZE $TMPDATA > /dev/null 2>&1
+            ADDR=`expr $ADDR + $TMPSIZE`
+        fi
+
+        rm $TMPDATA > /dev/null 2>&1
+
+        #progress
+        SPNUM=0
+        while [ $SPNUM -lt $PROGSTEP ]
+        do
+            echo -n '.'
+            SPNUM=`expr $SPNUM + 1`
+        done
+    done
+
+    echo ''
+
+    #finish
+    rm -f $TMPPATH/*.bin > /dev/null 2>&1
+
+    if [ $RESULT = 0 ]
+    then
+        if [ -e $VTMPNAME ]
+        then
+            /sbin/nandlogical $LOGOCAL_MTD WRITE $VERBLOCK 0x4000 $VTMPNAME > /dev/null 2>&1
+            rm -f $VTMPNAME > /dev/null 2>&1
+        fi
+        if [ -e $MTMPNAME ]
+        then
+            /sbin/nandlogical $LOGOCAL_MTD WRITE $MVRBLOCK 0x4000 $MTMPNAME > /dev/null 2>&1
+            rm -f $MTMPNAME > /dev/null 2>&1
+        fi
+        echo 'Done.'
+    else
+        echo 'Error!'
+    fi
+}
+
+### Check model ###
+/sbin/writerominfo
+MODEL=`cat /proc/deviceinfo/product`
+case "$MODEL" in
+    SL-B500|SL-5600) 
+        ZAURUS='poodle'
+        ROOTFS_SIZE=0x1600000
+        ;;
+    SL-6000)
+        ZAURUS='tosa'
+        ROOTFS_SIZE=0x1E00000
+        ;;
+    SL-C1000) 
+        ZAURUS='akita'
+        ROOTFS_SIZE=0x1900000
+        ;;
+    SL-C700|SL-C750|SL-7500)
+        ZAURUS='c7x0'
+        ROOTFS_SIZE=0x1900000
+        ;;
+    SL-C760|SL-C860)
+        ZAURUS='c7x0'
+        ROOTFS_SIZE=0x3500000
+        ;;
+    SL-C3000|SL-C3100|SL-C3200)
+        ZAURUS='c3x00'
+        ROOTFS_SIZE=0x0500000
+        check_for_hdd
+        check_for_tar
+        ;;
+    *)
+        echo 'MODEL: '$MODEL 'is unsupported'
+        echo ''
+        echo 'Please reset'
+        while true
+        do
+        done
+        ;;
+esac
+
+echo 'MODEL: '$MODEL' ('$ZAURUS')'
+
+mkdir -p $TMPPATH > /dev/null 2>&1
+
+cd $DATAPATH/
+
+for TARGETFILE in zimage zImage zImage.bin zimage.bin ZIMAGE ZIMAGE.BIN initrd.bin INITRD.BIN hdimage1.tgz HDIMAGE1.TGZ
+do
+    if [ ! -e $TARGETFILE ]
+    then
+        continue
+    fi
+
+    rm -f $TMPPATH/*.bin > /dev/null 2>&1
+    DATASIZE=`wc -c $TARGETFILE`
+    DATASIZE=`echo $DATASIZE | cut -d' ' -f1`
+
+    # make TARGETFILE lowercase
+    TARGETFILE=`echo $TARGETFILE|tr A-Z a-z`
+
+    case "$TARGETFILE" in
+
+    zimage|zimage.bin)
+        if [ $FLASHED_KERNEL != 0 ]
+        then
+            continue
+        fi
+        echo 'kernel'
+        FLASHED_KERNEL=1
+        ISLOGICAL=1
+        MODULEID=5
+        MTD_PART_SIZE=0x13C000
+        ADDR=`dc 0xE0000`
+        ISFORMATTED=1
+        DATAPOS=0
+        ONESIZE=524288
+        HDTOP=`expr $DATASIZE - 16`
+        /sbin/bcut -a $HDTOP -s 16 -o $TMPHEAD $TARGETFILE
+        do_flashing
+        ;;
+
+    initrd.bin)
+        if [ $FLASHED_ROOTFS != 0 ]
+        then
+            continue
+        fi
+        echo 'root file system'
+        FLASHED_ROOTFS=1
+        ISLOGICAL=0
+        MODULEID=6
+        MTD_PART_SIZE=$ROOTFS_SIZE
+        ADDR=0
+        ISFORMATTED=0
+        TARGET_MTD=$RO_MTD
+        DATAPOS=16
+        ONESIZE=1048576
+        /sbin/bcut -s 16 -o $TMPHEAD $TARGETFILE
+        do_flashing
+        ;;
+
+    hdimage1.tgz)
+        if [ $UNPACKED_ROOTFS = 0 ]
+        then
+        do_rootfs_extraction
+        fi
+        ;;
+
+    *)
+        ;;
+    esac
+done
+
+# reboot
+exit 0
+
+# bcut usage: bcut [OPTION] <input file>
+
+# -a: start position
+# -s: cut size
+# -o: output file
+
+# ModuleId informations used by verchg Sharp binary:
+#
+# 0 - master
+# 1 - Maintaince
+# 2 - Diagnostics
+# 3 - rescue kernel
+# 4 - rescue rootfs
+# 5 - normal kernel
+# 6 - normal rootfs
+# 7 - /home/
+# 8 - parameter (whatever it means)
+#
============================================================
--- packages/zaurus-updater/zaurus-updater.bb	8f431da1e46051baa0e8fb2ca9012101c3146fea
+++ packages/zaurus-updater/zaurus-updater.bb	0841e26124c537013227ff1ca2c7645139dfb6e4
@@ -1,7 +1,7 @@ LICENSE = "zaurus-updater"
 DESCRIPTION = "Encrypted shellscript for the Zaurus ROM update"
 DEPENDS = "encdec-updater-native"
 LICENSE = "zaurus-updater"
-PR = "r7"
+PR = "r8"
 
 PACKAGES = ""
 PACKAGE_ARCH = "${MACHINE_ARCH}"


#
# mt diff -rdc2a98d301d6e2c9a40551be91b9f32f1ec43133 -r7a0881668d38c0d3e64ef7ff7fa74e208b9e2d47
#
# 
# 
# add_file "packages/alsa/alsa-state/fic-gta01/voip-handset.state"
#  content [c5b60d82c1897991c9945ce182c4b0ffca5a9d12]
# 
# add_file "packages/alsa/alsa-state/fic-gta01/voip-headset.state"
#  content [6e7478155fdc57345e3112db7c8de2755a5e931e]
# 
# patch "packages/alsa/alsa-state.bb"
#  from [a7771dd3c4e224c5afba49e2e2a5792232f72121]
#    to [01b3bf425533199f948a122a8612b2535773c47b]
# 
# patch "packages/initscripts/initscripts-1.0/volatiles"
#  from [018cdf15373dbc496fd5aabfbb165ecaab713d78]
#    to [0742cbf364df1c77440f9a0c0463d1d30c5bc708]
# 
# patch "packages/initscripts/initscripts_1.0.bb"
#  from [952178e21940e48fa3ab1d4e922384de36bea513]
#    to [1b188ef14b2f1a5999174606f8b5ac18ec979467]
# 
============================================================
--- packages/alsa/alsa-state/fic-gta01/voip-handset.state	c5b60d82c1897991c9945ce182c4b0ffca5a9d12
+++ packages/alsa/alsa-state/fic-gta01/voip-handset.state	c5b60d82c1897991c9945ce182c4b0ffca5a9d12
@@ -0,0 +1,900 @@
+state.neo1973 {
+	control.1 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 255'
+		iface MIXER
+		name 'PCM Volume'
+		value.0 255
+		value.1 255
+	}
+	control.2 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 255'
+		iface MIXER
+		name 'ADC Capture Volume'
+		value.0 195
+		value.1 195
+	}
+	control.3 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 127'
+		iface MIXER
+		name 'Headphone Playback Volume'
+		value.0 121
+		value.1 121
+	}
+	control.4 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 127'
+		iface MIXER
+		name 'Speaker Playback Volume'
+		value.0 121
+		value.1 121
+	}
+	control.5 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 127'
+		iface MIXER
+		name 'Mono Playback Volume'
+		value 121
+	}
+	control.6 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Bypass Playback Volume'
+		value.0 6
+		value.1 6
+	}
+	control.7 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Sidetone Playback Volume'
+		value.0 2
+		value.1 2
+	}
+	control.8 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Voice Playback Volume'
+		value.0 2
+		value.1 2
+	}
+	control.9 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 2
+		iface MIXER
+		name 'Headphone Playback ZC Switch'
+		value.0 true
+		value.1 true
+	}
+	control.10 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 2
+		iface MIXER
+		name 'Speaker Playback ZC Switch'
+		value.0 false
+		value.1 false
+	}
+	control.11 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Mono Bypass Playback Volume'
+		value 6
+	}
+	control.12 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Mono Sidetone Playback Volume'
+		value 2
+	}
+	control.13 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Mono Voice Playback Volume'
+		value 2
+	}
+	control.14 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Playback ZC Switch'
+		value false
+	}
+	control.15 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Linear Control'
+		comment.item.1 'Adaptive Boost'
+		iface MIXER
+		name 'Bass Boost'
+		value 'Linear Control'
+	}
+	control.16 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 '130Hz @ 48kHz'
+		comment.item.1 '200Hz @ 48kHz'
+		comment.item.2 '100Hz @ 16kHz'
+		comment.item.3 '400Hz @ 48kHz'
+		comment.item.4 '100Hz @ 8kHz'
+		comment.item.5 '200Hz @ 8kHz'
+		iface MIXER
+		name 'Bass Filter'
+		value '130Hz @ 48kHz'
+	}
+	control.17 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name 'Bass Volume'
+		value 0
+	}
+	control.18 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name 'Treble Volume'
+		value 7
+	}
+	control.19 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 '8kHz'
+		comment.item.1 '4kHz'
+		iface MIXER
+		name 'Treble Cut-off'
+		value '8kHz'
+	}
+	control.20 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Sidetone Capture Volume'
+		value.0 2
+		value.1 2
+	}
+	control.21 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'Voice Sidetone Capture Volume'
+		value 2
+	}
+	control.22 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 2
+		comment.range '0 - 63'
+		iface MIXER
+		name 'Capture Volume'
+		value.0 63
+		value.1 63
+	}
+	control.23 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 2
+		iface MIXER
+		name 'Capture ZC Switch'
+		value.0 false
+		value.1 false
+	}
+	control.24 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 2
+		iface MIXER
+		name 'Capture Switch'
+		value.0 true
+		value.1 true
+	}
+	control.25 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 '3.4Hz @ 48kHz'
+		comment.item.1 '82Hz @ 16k'
+		comment.item.2 '82Hz @ 8kHz'
+		comment.item.3 '170Hz @ 8kHz'
+		iface MIXER
+		name 'Capture Filter Select'
+		value '3.4Hz @ 48kHz'
+	}
+	control.26 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 HiFi
+		comment.item.1 Voice
+		iface MIXER
+		name 'Capture Filter Cut-off'
+		value Voice
+	}
+	control.27 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Capture Filter Switch'
+		value false
+	}
+	control.28 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'ALC Capture Target Volume'
+		value 3
+	}
+	control.29 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 7'
+		iface MIXER
+		name 'ALC Capture Max Volume'
+		value 7
+	}
+	control.30 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Off
+		comment.item.1 Right
+		comment.item.2 Left
+		comment.item.3 Stereo
+		iface MIXER
+		name 'ALC Capture Function'
+		value Left
+	}
+	control.31 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Capture ZC Switch'
+		value true
+	}
+	control.32 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name 'ALC Capture Hold Time'
+		value 15
+	}
+	control.33 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name 'ALC Capture Decay Time'
+		value 12
+	}
+	control.34 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name 'ALC Capture Attack Time'
+		value 11
+	}
+	control.35 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 31'
+		iface MIXER
+		name 'ALC Capture NG Threshold'
+		value 5
+	}
+	control.36 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Constant PGA Gain'
+		comment.item.1 'Mute ADC Output'
+		iface MIXER
+		name 'ALC Capture NG Type'
+		value 'Constant PGA Gain'
+	}
+	control.37 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Capture NG Switch'
+		value false
+	}
+	control.38 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Capture
+		comment.item.1 Playback
+		iface MIXER
+		name '3D Function'
+		value Playback
+	}
+	control.39 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 '2.2kHz'
+		comment.item.1 '1.5kHz'
+		iface MIXER
+		name '3D Upper Cut-off'
+		value '2.2kHz'
+	}
+	control.40 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 '200Hz'
+		comment.item.1 '500Hz'
+		iface MIXER
+		name '3D Lower Cut-off'
+		value '200Hz'
+	}
+	control.41 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 15'
+		iface MIXER
+		name '3D Volume'
+		value 0
+	}
+	control.42 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name '3D Switch'
+		value false
+	}
+	control.43 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Capture 6dB Attenuate'
+		value false
+	}
+	control.44 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Playback 6dB Attenuate'
+		value false
+	}
+	control.45 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 None
+		comment.item.1 '32kHz'
+		comment.item.2 '44.1kHz'
+		comment.item.3 '48kHz'
+		iface MIXER
+		name De-emphasis
+		value None
+	}
+	control.46 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Stereo
+		comment.item.1 Left
+		comment.item.2 Right
+		comment.item.3 Mono
+		iface MIXER
+		name 'Playback Mono Mix'
+		value Right
+	}
+	control.47 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Non Inverted'
+		comment.item.1 Inverted
+		iface MIXER
+		name 'Playback Phase'
+		value 'Non Inverted'
+	}
+	control.48 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 3'
+		iface MIXER
+		name 'Mic2 Capture Volume'
+		value 0
+	}
+	control.49 {
+		comment.access 'read write'
+		comment.type INTEGER
+		comment.count 1
+		comment.range '0 - 3'
+		iface MIXER
+		name 'Mic1 Capture Volume'
+		value 2
+	}
+	control.50 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'DAI 0'
+		comment.item.1 'DAI 1'
+		comment.item.2 'DAI 2'
+		comment.item.3 'DAI 3'
+		iface MIXER
+		name 'DAI Mode'
+		value 'DAI 2'
+	}
+	control.51 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Stereo
+		comment.item.1 'Left ADC'
+		comment.item.2 'Right ADC'
+		comment.item.3 'Channel Swap'
+		iface MIXER
+		name 'ADC Data Select'
+		value 'Channel Swap'
+	}
+	control.52 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Mic 1'
+		comment.item.1 'Mic 2'
+		comment.item.2 'Mic 3'
+		iface MIXER
+		name 'Mic Selection Mux'
+		value 'Mic 2'
+	}
+	control.53 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'RXP - RXN'
+		comment.item.1 'RXP + RXN'
+		comment.item.2 RXP
+		comment.item.3 RXN
+		iface MIXER
+		name 'Rx Mixer'
+		value 'RXP - RXN'
+	}
+	control.54 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Line 1 + 2'
+		comment.item.1 'Line 1 - 2'
+		comment.item.2 'Line 1'
+		comment.item.3 'Line 2'
+		iface MIXER
+		name 'Line Mixer'
+		value 'Line 1 + 2'
+	}
+	control.55 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Line Mix'
+		comment.item.1 'Rx Mix'
+		iface MIXER
+		name 'Line Mono Mux'
+		value 'Rx Mix'
+	}
+	control.56 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Line 2'
+		comment.item.1 'Rx Mix'
+		iface MIXER
+		name 'Line Right Mux'
+		value 'Rx Mix'
+	}
+	control.57 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Line 1'
+		comment.item.1 'Rx Mix'
+		iface MIXER
+		name 'Line Left Mux'
+		value 'Line 1'
+	}
+	control.58 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Mixer Line Capture Switch'
+		value false
+	}
+	control.59 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Mixer Mic2 Capture Switch'
+		value true
+	}
+	control.60 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Mixer Mic1 Capture Switch'
+		value false
+	}
+	control.61 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'ALC Mixer Rx Capture Switch'
+		value false
+	}
+	control.62 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Left PGA'
+		comment.item.1 'Mic 1'
+		comment.item.2 'Mic 2'
+		comment.item.3 'Right PGA'
+		iface MIXER
+		name 'Mic Sidetone Mux'
+		value 'Mic 1'
+	}
+	control.63 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 PGA
+		comment.item.1 'Line or RXP-RXN'
+		comment.item.2 Sidetone
+		iface MIXER
+		name 'Capture Right Mux'
+		value PGA
+	}
+	control.64 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 PGA
+		comment.item.1 'Line or RXP-RXN'
+		comment.item.2 Line
+		iface MIXER
+		name 'Capture Left Mux'
+		value PGA
+	}
+	control.65 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Stereo
+		comment.item.1 'Analogue Mix Left'
+		comment.item.2 'Analogue Mix Right'
+		comment.item.3 'Digital Mono Mix'
+		iface MIXER
+		name 'Capture Right Mixer'
+		value 'Analogue Mix Left'
+	}
+	control.66 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 Stereo
+		comment.item.1 'Analogue Mix Left'
+		comment.item.2 'Analogue Mix Right'
+		comment.item.3 'Digital Mono Mix'
+		iface MIXER
+		name 'Capture Left Mixer'
+		value 'Analogue Mix Left'
+	}
+	control.67 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Playback Mixer Voice Capture Sw'
+		value false
+	}
+	control.68 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Playback Mixer Left Capture Swi'
+		value false
+	}
+	control.69 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Playback Mixer Right Capture Sw'
+		value false
+	}
+	control.70 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 VREF
+		comment.item.1 'Capture ST'
+		comment.item.2 LOUT2
+		iface MIXER
+		name 'Out4 Mux'
+		value VREF
+	}
+	control.71 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 VREF
+		comment.item.1 ROUT2
+		comment.item.2 'Left + Right'
+		iface MIXER
+		name 'Out3 Mux'
+		value VREF
+	}
+	control.72 {
+		comment.access 'read write'
+		comment.type ENUMERATED
+		comment.count 1
+		comment.item.0 'Inverted Mono 1'
+		comment.item.1 Left
+		comment.item.2 Right
+		comment.item.3 'Left + Right'
+		iface MIXER
+		name 'Mono 2 Mux'
+		value 'Inverted Mono 1'
+	}
+	control.73 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Mixer Left Playback Switch'
+		value false
+	}
+	control.74 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Mixer Right Playback Switc'
+		value false
+	}
+	control.75 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Mixer Voice Playback Switc'
+		value false
+	}
+	control.76 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Mixer Sidetone Playback Sw'
+		value false
+	}
+	control.77 {
+		comment.access 'read write'
+		comment.type BOOLEAN
+		comment.count 1
+		iface MIXER
+		name 'Mono Mixer Bypass P%s
>>> DIFF TRUNCATED @ 16K






More information about the Openembedded-commits mailing list